Package com.collibra.catalog.sampler.api

# Class SamplerErrorCodes

Object
SamplerErrorCodes

public final class SamplerErrorCodes extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CANNOT_SUBMIT_JOB_TO_EDGE`
  `static final String`
  `COLUMNS_ARE_NOT_CONNECTED_TO_ANY_TABLE`
  `static final String`
  `DATABASE_HAS_INCORRECT_EDGE_CONFIGURATION`
  `static final String`
  `DEFAULT_JOB_ERROR_MESSAGE`
  `static final String`
  `DEFAULT_JOB_PROGRESS_MESSAGE`
  `static final String`
  `DEFAULT_JOB_SUCCESS_MESSAGE`
  `static final String`
  `DEFAULT_JOB_UNEXPECTED_STATUS_MESSAGE`
  `static final String`
  `EDGE_DATA_SOURCE_NOT_FOUND`
  `static final String`
  `EDGE_ERROR`
  `static final String`
  `EDGE_SITE_CONNECTION_FAILED`
  `static final String`
  `EDGE_SITE_CONNECTION_FAILED_TITLE`
  `static final String`
  `JSON_RESULT_PROCESSING_FAILED`
  `static final String`
  `MULTIPLE_EDGE_JOB_INSTANCES_FOUND`
  `static final String`
  `MULTIPLE_MATCHING_SAMPLING_CAPABILITIES_FOUND`
  `static final String`
  `NO_COLUMNS_TO_SAMPLE`
  `static final String`
  `RESUME_GET_SAMPLING_REQUEST_NOT_ALLOWED`
  `static final String`
  `SAMPLER_CAPABILITY_NOT_FOUND`
  `static final String`
  `SAMPLING_FEATURE_DISABLED`
  `static final String`
  `SAMPLING_NOT_ALLOWED`
  `static final String`
  `SESSION_MANAGER_FAILURE`
  `static final String`
  `SESSION_MANAGER_FAILURE_TITLE`
  `static final String`
  `UNSUPPORTED_ASSET_TYPE`
  `static final String`
  `UNSUPPORTED_SAMPLING_STATUS`
  `static final String`
  `WRITE_SAMPLES_JOB_ERROR_MESSAGE`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SAMPLING_FEATURE_DISABLED

    public static final String SAMPLING_FEATURE_DISABLED
    See Also:
      - Constant Field Values

  - ### SAMPLING_NOT_ALLOWED

    public static final String SAMPLING_NOT_ALLOWED
    See Also:
      - Constant Field Values

  - ### UNSUPPORTED_ASSET_TYPE

    public static final String UNSUPPORTED_ASSET_TYPE
    See Also:
      - Constant Field Values

  - ### JSON_RESULT_PROCESSING_FAILED

    public static final String JSON_RESULT_PROCESSING_FAILED
    See Also:
      - Constant Field Values

  - ### DATABASE_HAS_INCORRECT_EDGE_CONFIGURATION

    public static final String DATABASE_HAS_INCORRECT_EDGE_CONFIGURATION
    See Also:
      - Constant Field Values

  - ### MULTIPLE_MATCHING_SAMPLING_CAPABILITIES_FOUND

    public static final String MULTIPLE_MATCHING_SAMPLING_CAPABILITIES_FOUND
    See Also:
      - Constant Field Values

  - ### SAMPLER_CAPABILITY_NOT_FOUND

    public static final String SAMPLER_CAPABILITY_NOT_FOUND
    See Also:
      - Constant Field Values

  - ### COLUMNS_ARE_NOT_CONNECTED_TO_ANY_TABLE

    public static final String COLUMNS_ARE_NOT_CONNECTED_TO_ANY_TABLE
    See Also:
      - Constant Field Values

  - ### NO_COLUMNS_TO_SAMPLE

    public static final String NO_COLUMNS_TO_SAMPLE
    See Also:
      - Constant Field Values

  - ### RESUME_GET_SAMPLING_REQUEST_NOT_ALLOWED

    public static final String RESUME_GET_SAMPLING_REQUEST_NOT_ALLOWED
    See Also:
      - Constant Field Values

  - ### EDGE_ERROR

    public static final String EDGE_ERROR
    See Also:
      - Constant Field Values

  - ### EDGE_DATA_SOURCE_NOT_FOUND

    public static final String EDGE_DATA_SOURCE_NOT_FOUND
    See Also:
      - Constant Field Values

  - ### EDGE_SITE_CONNECTION_FAILED_TITLE

    public static final String EDGE_SITE_CONNECTION_FAILED_TITLE
    See Also:
      - Constant Field Values

  - ### EDGE_SITE_CONNECTION_FAILED

    public static final String EDGE_SITE_CONNECTION_FAILED
    See Also:
      - Constant Field Values

  - ### CANNOT_SUBMIT_JOB_TO_EDGE

    public static final String CANNOT_SUBMIT_JOB_TO_EDGE
    See Also:
      - Constant Field Values

  - ### MULTIPLE_EDGE_JOB_INSTANCES_FOUND

    public static final String MULTIPLE_EDGE_JOB_INSTANCES_FOUND
    See Also:
      - Constant Field Values

  - ### WRITE_SAMPLES_JOB_ERROR_MESSAGE

    public static final String WRITE_SAMPLES_JOB_ERROR_MESSAGE
    See Also:
      - Constant Field Values

  - ### DEFAULT_JOB_SUCCESS_MESSAGE

    public static final String DEFAULT_JOB_SUCCESS_MESSAGE
    See Also:
      - Constant Field Values

  - ### DEFAULT_JOB_ERROR_MESSAGE

    public static final String DEFAULT_JOB_ERROR_MESSAGE
    See Also:
      - Constant Field Values

  - ### DEFAULT_JOB_PROGRESS_MESSAGE

    public static final String DEFAULT_JOB_PROGRESS_MESSAGE
    See Also:
      - Constant Field Values

  - ### DEFAULT_JOB_UNEXPECTED_STATUS_MESSAGE

    public static final String DEFAULT_JOB_UNEXPECTED_STATUS_MESSAGE
    See Also:
      - Constant Field Values

  - ### UNSUPPORTED_SAMPLING_STATUS

    public static final String UNSUPPORTED_SAMPLING_STATUS
    See Also:
      - Constant Field Values

  - ### SESSION_MANAGER_FAILURE_TITLE

    public static final String SESSION_MANAGER_FAILURE_TITLE
    See Also:
      - Constant Field Values

  - ### SESSION_MANAGER_FAILURE

    public static final String SESSION_MANAGER_FAILURE
    See Also:
      - Constant Field Values